from .base_application import Luna3Session
from .base_application_standalone import AppCtx as _AppCtx, StandaloneLambdaApp
from .configs.configs.services import SettingsLambdaUnit


class AppCtx[TConfig: SettingsLambdaUnit](_AppCtx):
    """Configurator application context"""

    luna3Session: Luna3Session | None

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self.luna3session = Luna3Session(settings=self.serviceConfig, lambdaType=self.lambdaType)

    lambdaType: str = "handlers"


class HandlersLambdaApp(StandaloneLambdaApp):
    """Standalone lambda app"""

    from ..public.handlers.handlers_request import HandlersLambdaRequest

    # service context
    ctxCls = AppCtx
    # request class
    requestCls = HandlersLambdaRequest
    # service config
    configCls = SettingsLambdaUnit
