"""
Configs migration

Generation datetime: 2021-04-28 09:08:38.703346
"""

from typing import List

from configs_core.migration.db_migrate_helper import DatabaseMigrationHelper as mh, LimitationToModify

REVISION = "718ab447"
DOWN_REVISION = "604c7080"


limitationsToModify: List[LimitationToModify] = []


def upgrade():
    """Upgrade configs to new revision"""

    # limitations to add
    mh.addLimitation(
        limitationName="LUNA_BACKPORT3_STORE_EVENTS",
        validationSchema={"type": "boolean"},
        defaultValue=False,
        description="whether to store events",
        services=["luna-backport3"],
        groupNames=["luna-platform"],
    )

    # limitations to modify
    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)


def downgrade():
    """Downgrade configs to previous revision"""

    # limitations to modify
    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)

    # limitations to remove
    mh.removeLimitation(limitationName="LUNA_BACKPORT3_STORE_EVENTS")
