"""
Configs migration

Generation datetime: 2022-02-03 06:52:30.881216
"""

from typing import List

from configs_core.migration.db_migrate_helper import DatabaseMigrationHelper, LimitationToModify

mh: DatabaseMigrationHelper

REVISION = "9eaca071"
DOWN_REVISION = "095b00c8"


limitationsToModify: List[LimitationToModify] = [
    LimitationToModify(
        limitationName="LIVENESS_THRESHOLD",
        oldDescription="Threshold for the likelihood that a person is alive",
        newDescription="Threshold for the likelihood that a person is alive for liveness v.1",
        settingUpgradeFunction=None,
        settingDowngradeFunction=None,
        # DON'T REMOVE SERVICES. Used in profiled migrations.
        oldServices=["luna-api"],
        newServices=["luna-api"],
    ),
    LimitationToModify(
        limitationName="INDEXED_FACES_LISTS",
        oldDescription="lists for indexation, for value ['all'] will be indexed all lists with attributes count > MIN_FACES_IN_LIST_FOR_INDEXING",
        newDescription="lists for indexation, for value ['all'] will be indexed all lists with attributes count >= MIN_FACES_IN_LIST_FOR_INDEXING",
        settingUpgradeFunction=None,
        settingDowngradeFunction=None,
        # DON'T REMOVE SERVICES. Used in profiled migrations.
        oldServices=["luna-index-manager"],
        newServices=["luna-index-manager"],
    ),
]


def upgrade():
    """Upgrade configs to new revision"""

    # limitations to modify
    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)


def downgrade():
    """Downgrade configs to previous revision"""

    # limitations to modify
    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)
