"""

Configs migration



Generation datetime: 2022-12-16 07:50:22.833361

"""

from typing import List

from configs_core.migration.db_migrate_helper import (
    DatabaseMigrationHelper,
    ExternalLimitationToModify,
    LimitationToModify,
)

mh: DatabaseMigrationHelper


REVISION = "6bdadd3f"

DOWN_REVISION = "657a9024"


limitationsToModify: List[LimitationToModify] = [
    LimitationToModify(
        limitationName="DEFAULT_HUMAN_DESCRIPTOR_VERSION",
        oldValidationSchema={"type": "integer"},
        newValidationSchema={"type": "integer"},
        oldDefaultValue=104,
        newDefaultValue=107,
        oldDescription="default human descriptor version to work with",
        newDescription="default human descriptor version to work with",
        oldGroupNames=["luna-platform"],
        newGroupNames=["luna-platform"],
        settingUpgradeFunction=lambda x: x,
        settingDowngradeFunction=lambda x: x,
        # DON'T REMOVE SERVICES. Used in profiled migrations.
        oldServices=[
            "luna-events",
            "luna-handlers",
            "luna-matcher-proxy",
            "luna-python-matcher",
        ],
        newServices=[
            "luna-events",
            "luna-handlers",
            "luna-matcher-proxy",
            "luna-python-matcher",
        ],
    ),
]


externalLimitationsToModify: List[ExternalLimitationToModify] = []


def upgrade():
    """Upgrade configs to new revision"""

    # limitations to modify

    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)

    for limitation in externalLimitationsToModify:
        mh.migrateLimitation(limitation)


def downgrade():
    """Downgrade configs to previous revision"""

    # limitations to modify

    for limitation in externalLimitationsToModify:
        mh.migrateLimitation(limitation)

    # limitations to modify

    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)
