"""
Configs migration

Generation datetime: 2024-07-04 15:22:07.158114
"""

from configs_core.migration.db_migrate_helper import (
    DatabaseMigrationHelper,
    ExternalLimitationToModify,
    LimitationToModify,
)

mh: DatabaseMigrationHelper

REVISION = "19230084"
DOWN_REVISION = "05c7aac2"


limitationsToModify: list[LimitationToModify] = [
    LimitationToModify(
        limitationName="LUNA_IMAGE_STORE_OBJECTS_ADDRESS",
        # DON'T REMOVE SERVICES. Used in profiled migrations.
        oldServices=["luna-api", "luna-lambda-tasks-unit", "luna-tasks"],
        newServices=[
            "luna-api",
            "luna-lambda-tasks-unit",
            "luna-remote-sdk",
            "luna-tasks",
        ],
    ),
]

externalLimitationsToModify: list[ExternalLimitationToModify] = []


def upgrade():
    """Upgrade configs to new revision"""

    # limitations to modify
    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)

    for limitation in externalLimitationsToModify:
        mh.migrateLimitation(limitation)


def downgrade():
    """Downgrade configs to previous revision"""

    # limitations to modify
    for limitation in externalLimitationsToModify:
        mh.migrateLimitation(limitation)

    # limitations to modify
    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)
